Overview | Package | Class | Tree | Deprecated | Index | Help
| INFORMIX eWay API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.informixadapter
Class InformixConnector

    java.lang.Object
      com.stc.connector.informixadapter.base.DbConnectorImpl
          com.stc.connector.informixadapter.InformixConnector

All Implemented Interfaces:
  com.stc.connector.db.DbConnector

    public class InformixConnector

extends DbConnectorImpl

Connector class for Informix database e*Way

Version:
  $Revision: 1.3 $
Author:
  $Author: pveerava $

Field Summary

Fields inherited from class com.stc.connector.informixadapter.base.DbConnectorImpl
`agentFactory, bInit, session`

Constructor Summary
`InformixConnector()` Creates a new InformixConnector

Method Summary
`void` | `init(javax.sql.DataSource ds, java.util.Properties props)` Initialize InformixConnector.
`void` | `open(javax.sql.DataSource ds, java.util.Properties props)` Requests the DbConnector object to open a connection and allocate necessary resources.

Methods inherited from class com.stc.connector.informixadapter.base.DbConnectorImpl
`close, commit, connInvoke, getAutoCommit, getCatalog, getConnection, getInstance, getInstance, getTransactionIsolation, isConnected, isOpen, main, release, requestReset, rollback, setAutoCommit, setCatalog, setConcurrencyToReadOnly, setConcurrencyToUpdatable, setConcurrencyType, setResultSetType, setRSReadOnly, setScrollTypeToForwardOnly, setScrollTypeToScrollInsensitive, setScrollTypeToScrollSensitive, setTransactionIsolation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InformixConnector

    public InformixConnector()

  Creates a new InformixConnector

Method Detail

### init

    public void init(javax.sql.DataSource ds,
                     java.util.Properties props)
              throws java.sql.SQLException

  Initialize InformixConnector.

  Specified by:
    `init` in interface `com.stc.connector.db.DbConnector`
  Overrides:
    `init` in class `DbConnectorImpl`
  Parameters:
    `ds` - a DataSource object used to establish connection.
    `props` - a property object which consists of connecton information.
  Throws:
    `java.sql.SQLException` - owing to session creation

### open

    public void open(javax.sql.DataSource ds,
                     java.util.Properties props)
              throws java.sql.SQLException

  Requests the DbConnector object to open a connection and allocate necessary resources.

  Specified by:
    `open` in interface `com.stc.connector.db.DbConnector`
  Overrides:
    `open` in class `DbConnectorImpl`
  Parameters:
    `ds` - a DataSource object used to establish connection.
    `props` - a property object which consists of connecton information.
  Throws:
    `java.sql.SQLException` - owing to opening a connection.

Overview | Package | Class | Tree | Deprecated | Index | Help
| INFORMIX eWay API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD